package com.union.ai.api.dao.mapper;

import com.union.ai.api.dao.model.App;
import com.union.ai.api.dao.model.AppCondition;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AppMapper {
    int countByCondition(AppCondition example);

    int deleteByCondition(AppCondition example);

    int deleteById(Integer appId);

    int insert(App record);

    int insertSelective(App record);

    List<App> selectByCondition(AppCondition example);

    App selectById(Integer appId);

    int updateByConditionSelective(@Param("record") App record, @Param("example") AppCondition example);

    int updateByCondition(@Param("record") App record, @Param("example") AppCondition example);

    int updateByIdSelective(App record);

    int updateById(App record);
}